﻿using System;
using System.Collections;
using System.Collections.ObjectModel;

namespace Päevaküsimus.Models
{
    public class Question
    {
        public string question { get; set; }
        private ObservableCollection<Answer> _answers;

        public Question(string question)
        {
            this.question = question;
            this._answers = new ObservableCollection<Answer>();
        }

        public ObservableCollection<Answer> answers { get { return _answers; } }

        public void AddAnswer(Answer answer)
        {
            _answers.Add(answer);
        }
    }
}